io.undertow.server.handlers

## Class ForwardedHandler

- java.lang.Object
- - io.undertow.server.handlers.ForwardedHandler

All Implemented Interfaces:
  HttpHandler

    public class ForwardedHandler
    extends Object
    implements HttpHandler

Handler that implements rfc7239 Forwarded header

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ForwardedHandler.Builder`

### Field Summary

Fields
`static String` `BY`
`static String` `FOR`
`static String` `HOST`
`static String` `PROTO`

### Constructor Summary

Constructors
Constructor and Description
`ForwardedHandler(HttpHandler next)`
`ForwardedHandler(HttpHandler next, boolean isChangeLocalAddrPort)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BY

    public static final String BY

See Also:
  Constant Field Values

#### FOR

    public static final String FOR

See Also:
  Constant Field Values

#### HOST

    public static final String HOST

See Also:
  Constant Field Values

#### PROTO

    public static final String PROTO

See Also:
  Constant Field Values

### Constructor Detail

#### ForwardedHandler

    public ForwardedHandler(HttpHandler next)

#### ForwardedHandler

    public ForwardedHandler(HttpHandler next,
                            boolean isChangeLocalAddrPort)

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`